Bug 243515 - mail/rss2email3 is outdated and broken with current textproc/py36-html2text
Summary: mail/rss2email3 is outdated and broken with current textproc/py36-html2text
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/rss2email/rss2emai...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-22 13:34 UTC by Michael Bueker
Modified: 2020-07-14 14:37 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (srg)
kai: merge-quarterly+


Attachments
Proposed patch (999 bytes, patch)
2020-06-22 15:00 UTC, Corey Halpin
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Bueker 2020-01-22 13:34:04 UTC
rss2email3 dies with the error message:
AttributeError: module 'html2text' has no attribute 'unescape'

This is due to changes in textproc/py36-html2text and fixed in the more current rss2email3 version 3.11:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=935800
Comment 1 Corey Halpin 2020-06-22 15:00:30 UTC
Created attachment 215862 [details]
Proposed patch

The attached updates the port to the latest version of rss2email. It passes `poudriere testport`, produces no warnings from `portlint`, and runs correctly when installed.
Comment 2 Kai Knoblich freebsd_committer 2020-07-13 09:22:41 UTC
(In reply to Corey Halpin from comment #1)

Thank you for the patch. Would you also like to become maintainer of the port? 

The current maintainer seems to be missing in action as there's no feedback since nearly six months hence I'm going to add the port back to the pool.
Comment 3 Kai Knoblich freebsd_committer 2020-07-13 09:23:26 UTC
Comment on attachment 215862 [details]
Proposed patch

^ Triage: Set maintainer-approval to '+' as there's no feedback from the maintainer since 5+ months.
Comment 4 Corey Halpin 2020-07-14 04:21:06 UTC
(In reply to Kai Knoblich from comment #2)

Sure, I'd be willing to become the maintainer for this port.
Comment 5 commit-hook freebsd_committer 2020-07-14 14:09:45 UTC
A commit references this bug:

Author: kai
Date: Tue Jul 14 14:09:04 UTC 2020
New revision: 542219
URL: https://svnweb.freebsd.org/changeset/ports/542219

Log:
  mail/rss2email3: Update to 3.11

  * This update unbreaks the port at runtime by using the builtin
    "html.unescape()" function (introduced in Python 3.4) instead of the
    "html2text.unescape()" function from textproc/py-text2html which was
    removed since the 2019.8.11 release.

  * Submitter becomes maintainer because the previous maintainer seems to be
    missing in action as there was no feedback over five months.

  While I'm here:

  * Switch manpages to the preferred share/man location.
  * Remove no longer required CONFLICTS_INSTALL entry.
  * Update the WWW field to point to the new upstream repository.

  Changelog since 3.9:

  https://github.com/rss2email/rss2email/blob/v3.11/CHANGELOG

  PR:		243515
  Submitted by:	Corey Halpin <chalpin@cs.wisc.edu> (based on)
  Reported by:	Michael Bueker <m.bueker@berlin.de>
  Approved by:	maintainer timeout (5+ months)
  MFH:		2020Q3 (blanket: runtime fix)

Changes:
  head/mail/rss2email3/Makefile
  head/mail/rss2email3/distinfo
  head/mail/rss2email3/pkg-descr
Comment 6 commit-hook freebsd_committer 2020-07-14 14:19:48 UTC
A commit references this bug:

Author: kai
Date: Tue Jul 14 14:19:37 UTC 2020
New revision: 542220
URL: https://svnweb.freebsd.org/changeset/ports/542220

Log:
  MFH: r542219

  mail/rss2email3: Update to 3.11

  * This update unbreaks the port at runtime by using the builtin
    "html.unescape()" function (introduced in Python 3.4) instead of the
    "html2text.unescape()" function from textproc/py-text2html which was
    removed since the 2019.8.11 release.

  * Submitter becomes maintainer because the previous maintainer seems to be
    missing in action as there was no feedback over five months.

  While I'm here:

  * Switch manpages to the preferred share/man location.
  * Remove no longer required CONFLICTS_INSTALL entry.
  * Update the WWW field to point to the new upstream repository.

  Changelog since 3.9:

  https://github.com/rss2email/rss2email/blob/v3.11/CHANGELOG

  PR:		243515
  Submitted by:	Corey Halpin <chalpin@cs.wisc.edu> (based on)
  Reported by:	Michael Bueker <m.bueker@berlin.de>
  Approved by:	maintainer timeout (5+ months)

  Approved by:	ports-secteam runtime fix blanket

Changes:
_U  branches/2020Q3/
  branches/2020Q3/mail/rss2email3/Makefile
  branches/2020Q3/mail/rss2email3/distinfo
  branches/2020Q3/mail/rss2email3/pkg-descr
Comment 7 Kai Knoblich freebsd_committer 2020-07-14 14:37:45 UTC
(In reply to Corey Halpin from comment #4)

Committed to the /head and 2020Q3 branches, thank you for the patch and taking maintainership!